Connexion

Besoin d'aide ? Une question ? Un avis ? Rejoignez nous sur notre salon IRC pour clavarder

Forum

Logiciels » Virtualisation et Émulation Wine64 sous M7 non fonctionnel wine64 installée sur M7-64 et ne marche pas

ray007 Membre non connecté

Rang

Avatar

Inscrit le : 21/06/2010 à 16h01

Localisation : Cotentin-Normandie-France

Messages: 99

Le 14/09/2019 à 15h15
Bonjour,

M7 64b est installée ainsi que wine64.

J'ai fait un lien wine vers wine64 et j'ai des fonction de wine.
Wine wordpad fonctionne, wine uninstaller aussi.

Je n'arrive pas à installer un programme M$. Jo'obtiens une petite fenêtre avec une croix blanche sur fond rouge et un bouton ok en dessous.

Que faut-il faire pour faire fonctionner wine?

Merci de vôtre aide.
Linuxement
Raymond


May the force be with you.
   
joel Membre non connecté

Rang

Avatar

Inscrit le : 10/04/2011 à 18h32

Localisation : Belleville - Rhône

Messages: 475

Le 15/09/2019 à 21h14
Bonsoir Raymond,

Je te suggère de lancer wine en ligne de commande avant d'essayer d'installer ton programme M$.
La console permettra peut-être de savoir pourquoi il échoue...


joel
   
nic80 Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2018 à 23h52

Messages: 2454

Le 15/09/2019 à 23h18
Bonjour,

Est ce que le paquet libfreetype6 ( et/ou lib64freetype6) est installé ? Edité par nic80 Le 15/09/2019 à 23h20
   
zalappy Membre non connecté

Rang

Avatar

Inscrit le : 28/07/2012 à 20h43

Messages: 810

Le 31/01/2020 à 11h40
ray007 :
Bonjour,

M7 64b est installée ainsi que wine64.

J'ai fait un lien wine vers wine64 et j'ai des fonction de wine.
Wine wordpad fonctionne, wine uninstaller aussi.

Je n'arrive pas à installer un programme M$. Jo'obtiens une petite fenêtre avec
une croix blanche sur fond rouge et un bouton ok en dessous.

Que faut-il faire pour faire fonctionner wine?

Merci de vôtre aide.
Linuxement
Raymond


Comment faire, en cherchant un peu.

Après installation ya écrit: informations de débug
(en gros ya écrit qu'en installant wine64, tu ne pourras démarrer que des
progs 64 bits)

Donc faut installer une source supplémentaire et ensuite ça marche.

Méthode:

Pour installer wine sur une mageia7 "64bits"

il faut d'abord ajouter le dépôt:
Core 32bit Release

ensuite vous installez le paquet:
wine

ensuite il va sélectionner plus d'une 100e de paquets
(dedans ya "wine32")

une fois installer vous pouvez également si vous avez un écran large configurer
l'affichage



lancer "wine configuration"

"wine configuration" > affichage > résolution de l'écran "180pp"

j'ai mis 180pp pour un écran 4K mettez + ou - pour votre écran



et redécocher la source:
Core 32bit Release




ensuite les programmes démarreront

C'est bête qu'il n'ait pas pensé à cocher la source "Core 32bit Release"
est-ce une erreur ou un oublie.


Ah oui j'oublié si vous avez installer déjà wine64 et puis ensuite wine32 (celui qui manqué :pascontent1: )
il risque de ne rien y avoir du tout, car chez moi ça ne fonctionnait pas, donc
faudra désinstaller des paquets wine64, car la méthode plus haut fonctionne.
Cruptos Membre non connecté

Rang

Avatar

Inscrit le : 16/10/2011 à 05h03

Localisation : Marseille - France

Messages: 33

Le 21/04/2020 à 18h30
Bonjour,

j'ai eu le même problème. J'ai enlevé wine64 et playonlinux.
J'ai essayé d'installer wine mais la réponse du centre de contrôle est

Désolé, le paquetage suivant ne peut pas être sélectionné :
- wine-4.0.1-1.mga7.i586

J'ai essayé à la main (avec urpmi) après avoir téléchargé
wine-4.0.1-1.mga7.i586.rpm
et l'erreur provient du fait que wine-4.0.1-1.mga7.i586
fait appel à des composants qui sont plus anciens que ceux installés.
Je ne sais pas lesquels mais ce qui est clair c'est que le rpm en question
n'est pas bien constitué.


A. Cruptos
Site web    
gerard-ll Membre non connecté

Rang

Avatar

Inscrit le : 09/12/2011 à 11h31

Localisation : La Champagne

Messages: 372

Le 21/04/2020 à 19h23
Moi j'ai mis ça :

Code TEXT :
[gerard@localhost ~]$ rpm -qa | grep wine
lib64kwineffects5-5.15.4-1.1.mga7
wine-mono-4.7.5-1.mga7
wine-4.0.3-1.mga7
wine32-4.0.3-1.mga7
wine-gecko-2.47-1.mga6


Juste wine tout court je crois.
Ca m'a fichu wine 32 bit visiblement.
Silent Hunter 3 tourne du tonnerre avec Wine.


Pal mal Mageia!

@+
Gérard
   
Vigen Membre non connecté

Rang

Avatar

Inscrit le : 27/12/2016 à 12h08

Localisation : Normandie

Messages: 284

Le 21/04/2020 à 21h50
gerard-ll :
Moi j'ai mis ça :

Code TEXT :
[gerard@localhost ~]$ rpm -qa | grep wine
lib64kwineffects5-5.15.4-1.1.mga7
wine-mono-4.7.5-1.mga7
wine-4.0.3-1.mga7
wine32-4.0.3-1.mga7
wine-gecko-2.47-1.mga6


Juste wine tout court je crois.
Ca m'a fichu wine 32 bit visiblement.
Silent Hunter 3 tourne du tonnerre avec Wine.


Salut,

Tu feras attention tu as du Mageia 6 dans tes paquets....

wine-gecko-2.47-1.mga6

Ah non, rectification, c'est un paquet mga6 porté sur mga7 :

https://madb.mageia.org/rpm/show/application/0/arch/x86_64/name/wine-gecko-2.47-1.mga6.noarch.rpm/source/0/release/7/t_media/3

Le paquet ne semble plus avoir de mainteneur attitré.

https://madb.mageia.org/package/show/application/0/arch/x86_64/name/wine-gecko

Peut-être un paquet qui est passé au travers du mass rebuild.

Autant pour moi.

Sinon, pour le sujet du post, et Wine64, peut-être ouvrir un rapport de bug auprès du mainteneur :

https://madb.mageia.org/package/show/application/0/release/7/arch/x86_64/name/wine64

Cela permet peut-être d'éviter le mix de paquets 32/64 bits.


Edité par Vigen Le 21/04/2020 à 22h05
   
gerard-ll Membre non connecté

Rang

Avatar

Inscrit le : 09/12/2011 à 11h31

Localisation : La Champagne

Messages: 372

Le 22/04/2020 à 13h33
Vigen :
Salut,

Tu feras attention tu as du Mageia 6 dans tes paquets....

wine-gecko-2.47-1.mga6

Ah non, rectification, c'est un paquet mga6 porté sur mga7 :


Ah oui, je n'avais même pas fait attention! :)


Pal mal Mageia!

@+
Gérard
   
Cruptos Membre non connecté

Rang

Avatar

Inscrit le : 16/10/2011 à 05h03

Localisation : Marseille - France

Messages: 33

Le 22/04/2020 à 15h23
Apparemment maintenant ce n'est plus possible d'installer wine ou wine 32. Que ce soit en présence ou en l'absence de wine64
la réponse est la même :
proposition d'installer une bonne liste de packages i586 et quand on clique sur OK pour accepter:

Désolé, le paquetage suivant ne peut pas être sélectionné :

- wine-4.0.1-1.mga7.i586

Et pourtant j'ai supprimé avant, tous les packages i586 pour éviter d'éventuels conflit.
wIne64 fonctionne pour les logiciels windows 64 bits, mais pour les 32 bits rien ne marche.
Evidemment ça restreint l'intérêt.


A. Cruptos
Site web    
gerard-ll Membre non connecté

Rang

Avatar

Inscrit le : 09/12/2011 à 11h31

Localisation : La Champagne

Messages: 372

Le 22/04/2020 à 16h43
Je me souviens que j'observe des erreurs quand je sélectionne le mauvais wine. Pour ça que je ne mets jamais wine64 ou wine32
Je me souviens que j'avais tout désinstallé les wine qui n'allaient pas et que j'avais installé que le wine-4.0.3-1.mga7 (i586).

wine32

Et ça installe wine32 mais ce n'est pas moi qu'il l'a sélectionné.

Edit : Je crois qu'on peut par la suite installer win64 sans que ça gêne wine32.
Mais faut déjà installer wine tout court (sans 32 ou 64)

Edité par gerard-ll Le 22/04/2020 à 16h45


Pal mal Mageia!

@+
Gérard
   
Vigen Membre non connecté

Rang

Avatar

Inscrit le : 27/12/2016 à 12h08

Localisation : Normandie

Messages: 284

Le 22/04/2020 à 16h45
Cruptos :
Apparemment maintenant ce n'est plus possible d'installer wine ou wine 32. Que ce soit en présence ou en l'absence de wine64
la réponse est la même :
proposition d'installer une bonne liste de packages i586 et quand on clique sur OK pour accepter:

Désolé, le paquetage suivant ne peut pas être sélectionné :

- wine-4.0.1-1.mga7.i586

Et pourtant j'ai supprimé avant, tous les packages i586 pour éviter d'éventuels conflit.
wIne64 fonctionne pour les logiciels windows 64 bits, mais pour les 32 bits rien ne marche.
Evidemment ça restreint l'intérêt.


Salut !!

Si tu te sens d'humeur :

https://wiki.winehq.org/Building_Wine

Ou bien voir avec les paquets Fédora :

https://wiki.winehq.org/Download

Il y'a peut-être quelque chose à faire !!

Vigen.
   
gerard-ll Membre non connecté

Rang

Avatar

Inscrit le : 09/12/2011 à 11h31

Localisation : La Champagne

Messages: 372

Le 22/04/2020 à 16h50
Ah je n'avais pas vu :
Tu as - wine-4.0.1-1.mga7.i586 alors qu'il faut wine-4.0.3-1.mga7.

Peut-être mettre à jour tes dépôts.


Pal mal Mageia!

@+
Gérard
   
PapyLinux Membre non connecté

Rang

Avatar

Inscrit le : 23/05/2011 à 20h37

Localisation : Saint-Germain-les-Corbeil

Messages: 868

Le 22/04/2020 à 17h16
Bonjour,

Wine (tout court) ne me semble pas indispensable. Je ne l'ai pas en tout cas.
J'ai Wine64 et Wine32 en version 4.0.3-1 tous les deux.
Et aussi
lib64kwineffects5
wine-gecko
wine-mono
wine64-gecko

Avec tout ça je fais tourner Sketchup8 (dernière version de Google), un émulateur de calculatrice HP41et un jeu de Mahjongg.

JLB
   
gerard-ll Membre non connecté

Rang

Avatar

Inscrit le : 09/12/2011 à 11h31

Localisation : La Champagne

Messages: 372

Le 22/04/2020 à 18h27
PapyLinux :
et un jeu de Mahjongg.


Ah oui?!
Et quoi donc comme Mahjongg?

Sur WindowsXP à l'époque (enfin je veux dire au temps jadis, voir même dans le temps :) ) j'avais Kyodai Mahjongg.
Pas mal ce programme.


Pal mal Mageia!

@+
Gérard
   
PapyLinux Membre non connecté

Rang

Avatar

Inscrit le : 23/05/2011 à 20h37

Localisation : Saint-Germain-les-Corbeil

Messages: 868

Le 22/04/2020 à 19h40
C'est bien Kyodai Mahjongg . Bonne pèche :) Il fonctionne toujours.
JLB
   
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie